Closed Bug 955523 Opened 6 years ago Closed 6 years ago

Could not deccode UTF-8 message into UTF-16.

Categories

(Chat Core :: Yahoo! Messenger, defect, minor)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: qheaden)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 2086 at 2013-08-02 10:05:00 UTC ***

Timestamp: 08/02/2013 12:03:02 PM
Warning: Could not deccode UTF-8 message into UTF-16. Message: Would you be my chat buddy?
Source File: resource://gre/components/yahoo.js
Line: 376

Strange, so I thought I'd file it. Automatic message received with buddy auth request.
*** Original post on bio 2086 at 2013-08-02 10:31:20 UTC ***

Note also the typo in the warning ;)
*** Original post on bio 2086 at 2013-08-02 10:38:33 UTC ***

Also 

Timestamp: 08/02/2013 12:36:36 PM
Warning: Could not encode UTF-16 message into UTF-8. Message: hi
Source File: resource://gre/components/yahoo.js
Line: 361
Source Code:
prpl-yahoo

(This message not generated by the server of course)
*** Original post on bio 2086 at 2013-08-02 11:38:55 UTC ***

Is this._account defined here? http://lxr.instantbird.org/instantbird/source/chat/protocols/yahoo/yahoo.js#357
Attached patch Patch v1 (obsolete) — Splinter Review
*** Original post on bio 2086 as attmnt 2677 at 2013-08-02 17:52:00 UTC ***

This patch fixes the issue pointed out in comment 3. I've tried it, and no more error messages are shown.
Attachment #8354446 - Flags: review?(clokep)
Assignee: nobody → qheaden
Status: NEW → ASSIGNED
Comment on attachment 8354446 [details] [diff] [review]
Patch v1

*** Original change on bio 2086 attmnt 2677 at 2013-08-02 17:54:29 UTC ***

You might also want to fix the typo while you're at it ;)
Attachment #8354446 - Flags: review?(clokep) → review-
*** Original post on bio 2086 as attmnt 2678 at 2013-08-02 17:58:00 UTC ***

Typo fix is now included in the patch.
Attachment #8354447 - Flags: review?(clokep)
Comment on attachment 8354446 [details] [diff] [review]
Patch v1

*** Original change on bio 2086 attmnt 2677 at 2013-08-02 17:58:42 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354446 - Attachment is obsolete: true
Comment on attachment 8354447 [details] [diff] [review]
Patch v1 (Typo Fixed)

*** Original change on bio 2086 attmnt 2678 at 2013-08-02 18:00:10 UTC ***

Stealing this review to save time ;)
Attachment #8354447 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2086 at 2013-08-03 11:34:06 UTC ***

http://hg.instantbird.org/instantbird/rev/5455835719e4
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.